﻿#--------------------------------------------
# Declare Global Variables and Functions here
#--------------------------------------------

#demo settings
$demo = $false

if ($demo)
{
	$UCO
}
else
{
	$UCO = $env:UCO
}
	
	
	#Sample function that provides the location of the script
function Get-ScriptDirectory
{ 
	if($hostinvocation -ne $null)
	{
		Split-Path $hostinvocation.MyCommand.path
	}
	else
	{
		Split-Path $script:MyInvocation.MyCommand.Path
	}
}

#Sample variable that provides the location of the script
[string]$ScriptDirectory = Get-ScriptDirectory


#connection string for database pcsm
$connectionString = "server=elrond.ics.muni.cz; uid=evi; pwd=xqqFPeTrY5z7SF38; database=evi;"



<#
.SYNOPSIS
Retrieves data from MySQL pcsm database

.DESCRIPTION
Select query for MySQL pcsm databse. In case of failure catch and log exception.

.PARAMETER query
query string for MySQL select
#>
function MysqlQuerySelect
{
	
	param (
		[Parameter(Mandatory = $True, Position = 1)]
		[string]$query
	)
	
	try
	{
		[void][System.Reflection.Assembly]::LoadWithPartialName("MySql.Data")
		$connection = New-Object MySql.Data.MySqlClient.MySqlConnection
		$connection.ConnectionString = $connectionString
		$connection.Open()
		$sql = $query
		$command = New-Object MySql.Data.MySqlClient.MySqlCommand($sql, $connection)
		$dataAdapter = New-Object MySql.Data.MySqlClient.MySqlDataAdapter($command)
		
		$dataSet = New-Object System.Data.DataSet
		$recordCount = $dataAdapter.Fill($dataSet)
		$connection.Close()
		
		#Write-Host ""
		#Write-Host $query
	}
	Catch
	{
		#Logger -type "ERROR" -text "DATABASE SELECT ERROR"
		$logException = $_.Exception.GetType().FullName;
		$logException += $_.Exception.Message;
		#Logger -type "ERROR" -text $logException
		#[System.Windows.Forms.MessageBox]::Show("Pri práci s databází se vyskytla kritická chyba. Zobrazované data mohou být nekompletní. `n `n$logException`n`n $query")
		$connection.Close()
	}
	return $dataSet
}







<#
.SYNOPSIS
Insert data into MySQL pcsm database

.DESCRIPTION
Insert query for MySQL pcsm databse. In case of failure catch and log exception.

.PARAMETER query
query string for MySQL insert
#>
function MysqlQueryInsert
{
	
	param (
		[Parameter(Mandatory = $True, Position = 1)]
		[string]$query
	)
	try
	{
		[void][System.Reflection.Assembly]::LoadWithPartialName("MySql.Data")
		$connection = New-Object MySql.Data.MySqlClient.MySqlConnection
		$connection.ConnectionString = $connectionString
		$connection.Open()
		$sql = $query
		$command = New-Object MySql.Data.MySqlClient.MySqlCommand($sql, $connection)
		$dataAdapter = New-Object MySql.Data.MySqlClient.MySqlDataAdapter($command)
		$dataSet = New-Object System.Data.DataSet
		$recordCount = $dataAdapter.Fill($dataSet)
		$connection.Close()
		
		#Write-Host ""
		#Write-Host $query
	}
	Catch
	{
		#Logger -type "ERROR" -text "DATABASE SELECT ERROR"
		$logException = $_.Exception.GetType().FullName;
		$logException += $_.Exception.Message;
		#Logger -type "ERROR" -text $logException
		#[System.Windows.Forms.MessageBox]::Show("Pri práci s databází se vyskytla kritická chyba. Zobrazované data mohou být nekompletní. `n `n$logException`n`n $query")
		$connection.Close()
		
	}
}


#message box before questionare end
Function Show-Msgbox
{
	Param ([string]$message = $(Throw "You must specify a message"),
		[string]$button = "okonly",
		[string]$icon = "information",
		[string]$title = "Message Box"
	)
	# Buttons: OkOnly, OkCancel, AbortRetryIgnore, YesNoCancel, YesNo, RetryCancel
	# Icons: Critical, Question, Exclamation, Information
	[reflection.assembly]::loadwithpartialname("microsoft.visualbasic") | Out-Null
	[microsoft.visualbasic.interaction]::Msgbox($message, "$button,$icon", $title)
}

Function CheckDBconnection
{
	$data = New-Object System.Data.DataSet
	$data = MysqlQuerySelect -query "SELECT * FROM foreigner WHERE uco='0' LIMIT 1"
	$dataTable = new-object System.Data.DataTable
	$dataTable = $data.Tables[0]
	if ($dataTable -ne $null)
	{
		return $true
		
	}
	else
	{
		return $false
	}
}

function isNumeric ($x)
{
	$x2 = 0
	$isNum = [System.Int32]::TryParse($x, [ref]$x2)
	return $isNum
}

